#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2300six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 2300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six23004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six23004xi = {
                1:'-1024x1923y-735z',
                2:'-1026x987y-1805z',
                3:'-1062x921y-1819z',
                4:'-1088x1863y-794z',
                5:'-1095x852y-1833z',
                6:'-1119x1860y-757z',
                7:'-1123x783y-1847z',
                8:'-1146x714y-1861z',
                9:'-114x905y-2111z',
                10:'-1157x38y-1986z',
                11:'-1166x644y-1874z',
                12:'-1174x100y-1975z',
                13:'-1180x1797y-816z',
                14:'-1181x574y-1887z',
                15:'-1186x164y-1963z',
                16:'-1192x504y-1900z',
                17:'-1195x230y-1951z',
                18:'-1199x434y-1913z',
                19:'-1200x297y-1938z',
                20:'-1202x365y-1926z',
                21:'-1211x1793y-779z',
                22:'-1268x1726y-837z',
                23:'-1298x1721y-800z',
                24:'-1351x1651y-859z',
                25:'-1381x1644y-822z',
                26:'-1430x1571y-880z',
                27:'-1451x1784y-6z',
                28:'-1460x1564y-843z',
                29:'-1503x1488y-901z',
                30:'-1533x1479y-864z',
                31:'-1542x1705y-29z',
                32:'-1573x1401y-922z',
                33:'-158x877y-2120z',
                34:'-1602x1391y-886z',
                35:'-1629x1622y-52z',
                36:'-1636x1311y-943z',
                37:'-1666x1300y-907z',
                38:'-1695x1218y-964z',
                39:'-1711x1534y-75z',
                40:'-1724x1206y-928z',
                41:'-1748x1122y-985z',
                42:'-1777x1109y-949z',
                43:'-1788x1442y-98z',
                44:'-1796x1024y-1006z',
                45:'-1824x1010y-970z',
                46:'-1838x924y-1026z',
                47:'-1861x1345y-121z',
                48:'-1874x823y-1047z',
                49:'-1905x720y-1067z',
                50:'-1927x1245y-144z',
                51:'-1930x616y-1088z',
                52:'-1947x948y-1034z',
                53:'-1949x511y-1108z',
                54:'-1962x406y-1128z',
                55:'-1967x92y-1188z',
                56:'-1969x301y-1148z',
                57:'-1971x196y-1168z',
                58:'-1989x1142y-167z',
                59:'-199x847y-2129z',
                60:'-203x1633y-1605z',
                61:'-2044x1036y-190z',
                62:'-2094x926y-213z',
                63:'-2137x815y-236z',
                64:'-2175x701y-259z',
                65:'-2206x585y-281z',
                66:'-2230x469y-304z',
                67:'-2249x351y-327z',
                68:'-2261x232y-350z',
                69:'-2266x113y-372z',
                70:'-237x814y-2137z',
                71:'-243x2201y-619z',
                72:'-272x781y-2146z',
                73:'-285x1605y-1622z',
                74:'-304x745y-2154z',
                75:'-316x9y-2278z',
                76:'-334x709y-2162z',
                77:'-337x28y-2274z',
                78:'-356x2179y-641z',
                79:'-358x48y-2271z',
                80:'-360x671y-2169z',
                81:'-365x1572y-1638z',
                82:'-377x71y-2267z',
                83:'-384x633y-2177z',
                84:'-386x2185y-603z',
                85:'-395x96y-2263z',
                86:'-404x594y-2184z',
                87:'-411x124y-2259z',
                88:'-421x555y-2191z',
                89:'-425x153y-2255z',
                90:'-436x515y-2198z',
                91:'-437x183y-2250z',
                92:'-442x1535y-1654z',
                93:'-447x216y-2245z',
                94:'-447x475y-2205z',
                95:'-455x250y-2240z',
                96:'-455x436y-2211z',
                97:'-461x285y-2235z',
                98:'-461x397y-2217z',
                99:'-463x321y-2229z',
                100:'-463x359y-2223z',
                101:'-469x2151y-663z',
                102:'-499x2156y-625z',
                103:'-517x1494y-1670z',
                104:'-579x2117y-685z',
                105:'-588x1449y-1686z',
                106:'-609x2121y-647z',
                107:'-656x1401y-1701z',
                108:'-687x2077y-707z',
                109:'-68x931y-2101z',
                110:'-717x2080y-669z',
                111:'-720x1349y-1717z',
                112:'-781x1295y-1732z',
                113:'-792x2032y-729z',
                114:'-822x2033y-691z',
                115:'-838x1238y-1747z',
                116:'-891x1179y-1762z',
                117:'-894x1981y-751z',
                118:'-925x1981y-713z',
                119:'-940x1117y-1776z',
                120:'-985x1053y-1791z',
                121:'-993x1924y-773z'}


#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire2300six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire2300six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2300SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2300SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2300SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2300SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2300SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six23004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2300SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2300SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2300SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six2300x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six2300x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2300SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE2300SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2300SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2300six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
